--- glob/glob.c.orig	Wed Sep 25 03:11:43 2002
+++ glob/glob.c	Wed Sep 25 03:15:32 2002
@@ -215,13 +215,13 @@
 #  ifdef HAVE_ALLOCA_H
 #   include <alloca.h>
 #  else	/* Not HAVE_ALLOCA_H.  */
-#   ifndef _AIX
+#   if !defined (_AIX) && !defined (__FreeBSD__)
 #    ifdef WINDOWS32
 #     include <malloc.h>
 #    else
 extern char *alloca ();
 #    endif /* WINDOWS32 */
-#   endif /* Not _AIX.  */
+#   endif /* Not _AIX && not __FreeBSD__.  */
 #  endif /* sparc or HAVE_ALLOCA_H.  */
 # endif	/* GCC.  */
 

--- glob/glob.h.orig	Sat Jan 22 00:43:03 2000
+++ glob/glob.h	Fri Aug 23 02:37:03 2002
@@ -47,6 +47,9 @@
 
 /* We need `size_t' for the following definitions.  */
 #ifndef __size_t
+#if defined __FreeBSD__
+#define __size_t size_t
+#else
 # if defined __GNUC__ && __GNUC__ >= 2
 typedef __SIZE_TYPE__ __size_t;
 # else
@@ -59,6 +62,7 @@
  */
 #if !(defined __DECC && defined __SIZE_T)
 typedef unsigned long int __size_t;
+#endif
 #endif
 # endif
 #else
--- make.h.orig	Wed Sep 11 18:55:44 2002
+++ make.h	Mon Oct 21 22:05:11 2002
@@ -33,7 +33,7 @@
 #  ifdef _AIX
  #pragma alloca
 #  else
-#   ifndef alloca /* predefined by HP cc +Olibcalls */
+#   if !defined (alloca) && !defined (__FreeBSD__) /* predefined by HP cc +Olibcalls, part of stdlib.h on FreeBSD */
 char *alloca ();
 #   endif
 #  endif

